using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单催单
    /// </summary>
    public class RemindCaseInfoInfo
    {
        /// <summary>
        /// 催单时间
        /// </summary>
        [JsonPropertyName("REMIND_TIME")]
        public DateTime? RemindTime { get; set; }

        /// <summary>
        /// 操作人员
        /// </summary>
        [JsonPropertyName("REMIND_NAME")]
        public string RemindName { get; set; }

        /// <summary>
        /// 催单理由
        /// </summary>
        [JsonPropertyName("REMIND_REASION")]
        public string RemindReasion { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        public string CliengGuid { get; set; }
    }
}
